漏洞信息详情

libexcel 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201812-862
  • 危害等级: 中危
  • CVE编号: CVE-2018-20304
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2018-12-20
  • 威胁类型:
  • 更新时间: 2019-04-01
  • 厂        商:
  • 漏洞来源:

漏洞简介

libexcel是一个用于创建Excel XLS电子表格的C库。

libexcel 0.01版本中的libexcel.a文件的workbook.c文件的‘wbook_addworksheet’函数存在缓冲区溢出漏洞。攻击者可借助较长的第二个参数利用该漏洞造成拒绝服务(段错误)。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://github.com/devinsmith/libexcel

参考网址

来源:github.com

链接:https://github.com/devinsmith/libexcel/issues/9

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多